Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05944 Sound Minor Always May 28, 2015, 17:42 Apr 6, 2019, 10:23
Tester Alex7 View Status Public Platform
Assigned To Resolution Bugs That Aren't Bugs OS
Status [?] Resolved Driver
Version 0.162 Fixed in Version Build
Summary 05944: mk and clones: when you make scorpion's or sonya fatality the scream dont play to the finish and the skull falls down stoping the sound
Description when the skull falls down the scream continues (Correct Sound)


when the skull falls down the scream cuts (Incorrect Sound)


in original Mortal Kombat PCB this dont happen the sound is ok like in the first video i posted
Steps To Reproduce make scorpion or sonya fatality
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems mk and clones
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
15
User avatar
No.11681
B2K24
Moderator
May 29, 2015, 03:49
I see and hear what you mean. Something seems like it's definitely not right.
User avatar
No.11683
Alex7
Tester
May 29, 2015, 05:13
totally not right xD
User avatar
No.11684
AWJ
Developer
May 29, 2015, 11:03
edited on: May 29, 2015, 11:21
Are you sure the first video is recorded from a PCB and not from one of the more modern ports?

The scream sound and the falling-bones sound are both played from the banked part of the OKI address space, and they're in different ROM banks. The sound CPU quite deliberately halts the scream sound, switches the ROM bank, and then starts the bones sound. As far as I can tell there's simply no way the hardware can play both sounds at once.
User avatar
No.11685
R. Belmont
Developer
May 29, 2015, 12:23
To back up what AWJ said, the OKI6295 chip in MK can only play one sampled sound at a time, and the scream and the skull falling are both samples.
User avatar
No.11686
B2K24
Moderator
May 29, 2015, 14:39
I'll have a look through YourMKArcadeSource videos on YT and try to see if there's a video on there that will shed more light on this reported issue.
User avatar
No.11687
B2K24
Moderator
May 29, 2015, 16:17
I was probably wrong to confirm this report. Take a look at this.

User avatar
No.11688
Alex7
Tester
May 29, 2015, 17:58
edited on: May 29, 2015, 18:05
yeah i'm sure is a video recorded from a PCB not mame or another emulator AWJ
otherwise B2K24 many of the videos that MKArcadeSource have is played in mame

i'm 100% sure that the real arcade machine dont sound like that because i spend to many hours at arcade machines of MK1 there are other problem that i dont report here and is the background music in the real arcade the drums in the intro and in other stages like the 1st dont play and in mame plays cutting the correct music sound that is as well maybe the problem causing the skull fatality sound wrong (Maybe)
User avatar
No.11689
B2K24
Moderator
May 29, 2015, 21:22
I found another video on YT with the scream sounds completely different and also doesn't cut out when bones drop.

User avatar
No.11690
Alex7
Tester
May 29, 2015, 22:03
yeah and if you hear good is the two sounds in there the sound of the bones falling and the scream at the same time that make what AWJ say not true
User avatar
No.11691
B2K24
Moderator
May 29, 2015, 22:55
I'm changing this from confirmed to acknowledged since I didn't access the real hardware while this report can be discussed and researched.
User avatar
No.11692
AWJ
Developer
May 30, 2015, 01:58
edited on: May 30, 2015, 02:06
I think I've figured it out. There are four different death scream samples: One for Liu Kang, one for Sonya, one for other characters on the P1 side, and one for other characters on the P2 side. Only the P1 generic scream can play at the same time as other fatality sounds (it's in the non-banked part of the OKI ROM), the other three screams will all get cut off. The second video linked by B2K24 shows Scorpion playing on the 2P side; that's why the screams are different and why they don't get cut off. Notice at 6:39 when he does the fatality on Sonya, her death scream does get cut off.

I still think the first video has to be from a console/PC port; it's literally impossible for the combination of 2P death scream + sound effect to play at the same time on hardware (and it is the 2P version that you hear in that video).
User avatar
No.11693
B2K24
Moderator
May 30, 2015, 02:30
Nice Work AWJ. I never thought to consider testing the 2P side and different characters. I can confirm when scorpion is played on 2P side and Jonny Cage is 1P the death scream + sound effect both can be heard and nothing as cut out because it aligns with your analysis.

Nice work!

If there's nothing else to be added or discussed here, I believe this can be closed or resolved.
User avatar
No.11694
AWJ
Developer
May 30, 2015, 02:57
I'd still like better confirmation than a bunch of Youtube videos that we have to wildly guess whether they're from a PCB, MAME or a console port.
User avatar
No.16294
MetalGod
Senior Tester
Apr 6, 2019, 10:12
edited on: Apr 6, 2019, 11:09
The video provided in this ticket comes from the "Mortal Kombat Kollection" version of mortal kombat 1, which was released for ps3, xbox360 and PC in 2011. It is a compilation that includes mk1, mk2 and umk3. I have this game in steam indeed. This version of the game has a few differences compared to the original arcade game. For example, the clapping sound in the first scenario of the game is changed and yes, due to not having the hardware limitations of the original game (exposed by AWJ), there are no sound issues in scorpion/sonya's fatalities.
Here's another video from the same user playing online.
You can check the clapping sound I mentioned in 1:24:
Scorpion's Fatality with no sound issues in 0:46:


Once unmasked the version of the game, this ticket should be closed as BTANB.
Mame testers should watch out for these versions of mortal kombat 1, 2 and ultimate mk3 when reporting bugs. For example, this version of umk3 doesn't have the scorpion's "get over here" sound issue (00751). This can lead to confusion with mame emulation.
User avatar
No.16295
Robbbert
Developer
Apr 6, 2019, 10:23
Thanks, closed as a BTANB